//村庄数据处理
var fs = require("fs");
var path = require("path");

var file = path.join(__dirname, "village.json");
var idSet = new Set();
var map = new Map();
fs.readFile(file, "utf-8", function(err, data) {
  if (err) {
    console.log("文件读取失败");
  } else {
    var obj = JSON.parse(data);
    var array = obj.features;
    for (let item of array) {
      let id = item.properties.cj_id;
      let name = item.properties.cj_name;
      item.properties.name = name;
      let pid = item.properties.xz_id;
      if (idSet.has(pid)) {
        let obj = map.get(pid);
        obj.features.push(item);
      } else {
        let obj = {};
        obj.type = "FeatureCollection";
        obj.features = [];
        obj.features.push(item);
        map.set(pid, obj);
        idSet.add(pid);
      }
    }
    for (let item of idSet) {
      console.log(item);
      let str = JSON.stringify(map.get(item));
      fs.writeFile(path.join(__dirname, item + ".json"), str, function(
        err,
        data
      ) {
        if (err) {
          console.log(err);
        }
      });
    }
  }
});
